using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Syncfusion.Grouping;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Windows.Forms.Grid.Grouping;

namespace WindowsApplication5
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataTable dt = new DataTable();

            dt.Columns.Add("Stup", typeof(string));
            DataRow dr = dt.NewRow();
            DataRow dr2 = dt.NewRow();
            DataRow dr3 = dt.NewRow();
            DataRow dr4 = dt.NewRow();
            DataRow dr5 = dt.NewRow();
            DataRow dr6 = dt.NewRow();

            dr["Stup"] = "0";
            dr2["Stup"] = "1";
            dr3["Stup"] = "2";
            dr5["Stup"] = "4";

            dt.Rows.Add(dr);
            dt.Rows.Add(dr2);
            dt.Rows.Add(dr3);
            dt.Rows.Add(dr4);
            dt.Rows.Add(dr5);
            dt.Rows.Add(dr6);

            gridGroupingControl1.DataSource = dt;

            gridGroupingControl1.TableControlDrawCell += new Syncfusion.Windows.Forms.Grid.Grouping.GridTableControlDrawCellEventHandler(gridGroupingControl1_TableControlDrawCell);
        }

        void gridGroupingControl1_TableControlDrawCell(object sender, Syncfusion.Windows.Forms.Grid.Grouping.GridTableControlDrawCellEventArgs e)
        {
            {
                GridTableCellStyleInfo style = e.Inner.Style as GridTableCellStyleInfo;
                Element el = style.TableCellIdentity.DisplayElement;

                if (el.Kind == DisplayElementKind.Record && style.TableCellIdentity.Column != null && style.TableCellIdentity.Column.Name == "Stup")
                {
                    if (style.CellValue != null || style.CellValue.ToString() != string.Empty)
                    {
                        e.Inner.Cancel = true;
                        e.Inner.Graphics.DrawIcon(SystemIcons.Question, e.Inner.Bounds);
                    }
                }
            }

        }
    }
}